Skip to Content
Tracira
API referenceSettings

Update workspace settings

patchhttps://www.tracira.com/api/settings
PATCH
/api/settings

Authorization

sessionAuth
cookiebetter-auth.session_token<token>

Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.

Request Body

application/json
  1. body
onboardingDismissed?boolean
workspaceName?string
slackWebhookUrl?string|null
notifyOnFlag?boolean
notifyOnFail?boolean
slackChannelId?string|null
notificationEmail?string|null
emailOnFlag?boolean
emailOnFail?boolean
slackNotificationsEnabled?boolean
emailNotificationsEnabled?boolean
webhookEnabled?boolean
outboundWebhookUrl?string|null
outboundWebhookEvents?array<string>
estimatedIncidentCostUsd?number
openaiApiKey?string|null
anthropicApiKey?string|null
openrouterApiKey?string|null
openaiJudgeModel?string|null
anthropicJudgeModel?string|null
openrouterJudgeModel?string|null
defaultJudgeProvider?|
Value in"anthropic""openai""openrouter"
color?string

Response Body

Saved.

application/json
  1. response
ok*boolean
curl -X PATCH 'https://www.tracira.com/api/settings' \  -H 'Content-Type: application/json' \  -d '{  "emailNotificationsEnabled": true,  "notificationEmail": "team@example.com",  "emailOnFlag": true}'
Example Response
{  "ok": true}